<template>
  <rui-submit-button caption="Send message" :loading="loading" @click="send" />

  {{ loading ? 'Sending your message to your friends' : '' }}
</template>

<script>
export default {
  data () {
    return {
      loading: false,
    }
  },
  methods: {
    /** This method sends user submitted data to the NSA */
    send () {
      this.loading = true
      setTimeout(() => { this.loading = false }, 2000)
    },
  },
}
</script>
